summaryrefslogtreecommitdiff
path: root/dev-python/tinycss2/tinycss2-1.4.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-25 07:55:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-25 07:55:25 +0000
commit345fe9eab74ece187aa4fb81823473439093946a (patch)
tree9831aefcd9f757a894e270f67a05f72bcb536b32 /dev-python/tinycss2/tinycss2-1.4.0.ebuild
parente4e55bec45362d42ef50ecfdb40b594a0fb60701 (diff)
downloadbaldeagleos-repo-345fe9eab74ece187aa4fb81823473439093946a.tar.gz
baldeagleos-repo-345fe9eab74ece187aa4fb81823473439093946a.tar.xz
baldeagleos-repo-345fe9eab74ece187aa4fb81823473439093946a.zip
Adding metadata
Diffstat (limited to 'dev-python/tinycss2/tinycss2-1.4.0.ebuild')
-rw-r--r--dev-python/tinycss2/tinycss2-1.4.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/tinycss2/tinycss2-1.4.0.ebuild b/dev-python/tinycss2/tinycss2-1.4.0.ebuild
new file mode 100644
index 000000000000..ec671a575183
--- /dev/null
+++ b/dev-python/tinycss2/tinycss2-1.4.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+CSS_TEST_COMMIT_ID=43e65b244133f17eb8a4d4404d5774672b94824f
+
+DESCRIPTION="A complete yet simple CSS parser for Python"
+HOMEPAGE="
+ https://www.courtbouillon.org/tinycss2/
+ https://github.com/Kozea/tinycss2/
+ https://pypi.org/project/tinycss2/
+"
+SRC_URI+="
+ test? (
+ https://github.com/CourtBouillon/css-parsing-tests/archive/${CSS_TEST_COMMIT_ID}.tar.gz
+ -> css-parsing-tests-${CSS_TEST_COMMIT_ID}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/webencodings-0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ if use test; then
+ mv "${WORKDIR}/css-parsing-tests-${CSS_TEST_COMMIT_ID}"/* \
+ tests/css-parsing-tests/ || die
+ fi
+ distutils-r1_src_prepare
+}